List webhook subscription matched events
Retrieve webhook events that match the subscriptionId specified.
Returns matches in descending order by creation time (newest first), including delivery status, retry count, next attempt time, and response details.
Only matched events are returned. Matched events are events that both:
- Have the same
eventTypeas defined in the subscription’s list ofeventTypes. - Match all
labelsdefined in the subscription’slabels.
If an event didn’t match the subscription’s labels or eventTypes, it will not be returned by this endpoint.
Use Cases
- View all events for a subscription to inspect subscription health
- Confirm that a
targetURL received all matched events successfully
Use eventId to find all matches for a specific event, including replays.
Use status to return only matches in a given delivery state, such as retrying matches that need attention.
Use pageSize to control the number of matched events returned and pageToken to retrieve subsequent pages.
Authorizations
A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Generate Bearer Token section of our Authentication docs for information on how to generate your Bearer Token.
Path Parameters
Unique identifier for the webhook subscription.
^[a-f0-9\-]{36}$Query Parameters
The number of matches to return per page.
1 <= x <= 1000The token for the next page of resources, if any.
Filter by a specific event ID.
^[a-f0-9\-]{36}$Filter matched events created at or after this timestamp (RFC 3339 format).
Filter matched events created at or before this timestamp (RFC 3339 format).
Filter by event type names (comma-separated).
Filter matched events by status. Current state of the matched event.
retrying: The event is currently being retried. For when the next attempt will occur, seenextAttemptAt.abandoned: The event was abandoned. This means the subscription was disabled during the retry lifecycle.succeeded: The event was successfully delivered to thetargetURL.failed: The event delivery failed due to reaching the maximum number of retry attempts or other non-retryable failure such as a subscription misconfiguration.
retrying, abandoned, succeeded, failed "succeeded"
Response
Webhook events retrieved successfully.
Response containing a list of webhook events that match the subscriptionId specified.
The list of webhook events that match the subscriptionId specified.
Events are sorted by createdAt in descending order (most recent first).
The token for the next page of items, if any.
"eyJsYXN0X2lkIjogImFiYzEyMyIsICJ0aW1lc3RhbXAiOiAxNzA3ODIzNzAxfQ=="